astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- BrokenPowerLaw1D

# BrokenPowerLaw1D

class `astropy.modeling.powerlaws.``BrokenPowerLaw1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional power law model with a break.

  Parameters:

  amplitude : float

  > Model amplitude at the break point

  x_break : float

  > Break point

  alpha_1 : float

  > Power law index for x < x_break

  alpha_2 : float

  > Power law index for x > x_break

  See also

  `PowerLaw1D`, `ExponentialCutoffPowerLaw1D`, `LogParabola1D`

  Notes

  Model formula (with A for `amplitude` and \alpha_1 for `alpha_1` and \alpha_2 for `alpha_2`):

  > f(x) = \left \{ \begin{array}{ll} A (x / x_{break}) ^ {-\alpha_1} & : x < x_{break} \\ A (x / x_{break}) ^ {-\alpha_2} & : x > x_{break} \\ \end{array} \right.

  Attributes Summary

  `alpha_1` |
  `alpha_2` |
  `amplitude` |
  `param_names` |
  `x_break` |

  Methods Summary

  `evaluate`(x, amplitude, x_break, alpha_1, alpha_2) | One dimensional broken power law model function
  `fit_deriv`(x, amplitude, x_break, alpha_1, ...) | One dimensional broken power law derivative with respect to parameters

  Attributes Documentation

  `alpha_1`
  `alpha_2`
  `amplitude`
  `param_names` = ('amplitude', 'x_break', 'alpha_1', 'alpha_2')
  `x_break`

  Methods Documentation

  static `evaluate`(x, amplitude, x_break, alpha_1, alpha_2)

    One dimensional broken power law model function

  static `fit_deriv`(x, amplitude, x_break, alpha_1, alpha_2)

    One dimensional broken power law derivative with respect to parameters